#include "Fsr.h"

Fsr::Fsr(byte pin, char sound) {
  this->pin = pin;
  this->sound = sound;
  this->color = color;
//  lastReading = 1;
  init();
}

void Fsr::init() {
  pinMode(pin, INPUT);
  update();
}

void Fsr::update() {
//    Serial.println("enter update funtion");
    // You can handle the debounce of the button directly
    // in the class, so you don't have to think about it
    // elsewhere in your code
    int newReading = analogRead(pin);
    state = newReading;
//    
//    if (newReading != lastReading) {
//      lastDebounceTime = millis();
//    }
//    if (millis() - lastDebounceTime > debounceDelay) {
//      // Update the 'state' attribute only if debounce is checked
//      state = newReading;
//    }
//    lastReading = newReading;
}

byte Fsr::getState() {
//  Serial.println(state);
  update();
  return state;
}

bool Fsr::isPressed() {
  return (getState() == 0);
}
