#include "Led.h"

//#define PIXEL_PIN 9
//#define PIXEL_COUNT 4


Adafruit_NeoPixel strip = Adafruit_NeoPixel(1, PIXEL_PIN, NEO_GRB + NEO_KHZ800);

Led::Led(int pin, int r, int g, int b ) {
  // Use 'this->' to make the difference between the
  // 'pin' attribute of the class and the
  // local variable 'pin' created from the parameter.
  this->pin = pin;
  this->r = r;
  this->g = g;
  this->b = b;
  strip.setPixelColor(1, r,g,b);
  strip.setBrightness(255);
      strip.show();


  init();
}

void Led::init() {

  strip.begin();
  strip.show(); // Initialize all pixels to 'off'
}

void Led::on() {
  
strip.setBrightness(155);
  strip.show(); // Initialize all pixels to 'off'

      delay(150);
}


void Led::off() {

  strip.setBrightness(0);
    strip.show();
}

void Led::demo() {

}
